@import "scroll-animations.css";

/*screen readers only content, hidden for public*/
[data-sr-only]{
    position: absolute;
    width: 1px;
    height: 1px;
    padding: 0;
    margin: -1px;
    overflow: hidden;
    clip-path: rect(0, 0, 0, 0);
    white-space: nowrap; /* Prevent text wrapping */
    border: 0;
}
/*styling body*/
[data-name="Body"] {
    display: flex;
    width: 100%;
    max-width: 2000px;
    margin: 0px auto 0px auto;
    row-gap: 0;
    flex-direction: column;
    position: relative;
    box-sizing: border-box;
    align-self: center;
    align-items: center;
}
[data-name="Body"]:empty{
    outline: 1px dotted #aaa;
    padding: 20px 0px 20px 0px;
}


/*styling container*/
[data-name="Container"] {
    display: flex;
    width: 100%;
    max-width: 100%;
    margin: 0px 0px 0px 0px;
    padding: 0px 0px 0px 0px;
    row-gap: 0;
    column-gap: 0;
    align-items: start;
    justify-content: center;
    box-sizing: border-box;
}
[data-name="Container"] {
    outline: 1px dotted #aaa;
}



[data-name="Flex"]{
    display: flex;
    gap: 20px;
    flex-direction: row;
}

@media only screen and (max-width: 768px) {
    [data-name="Flex"]{
        flex-direction: column;
    }
}

[data-column]{
    display: flex;
    margin: 0px;
    padding: 1rem;
    column-gap: 1rem;
    width: 100%;
    min-width: 0;
    row-gap: 1rem;
    flex-direction: column;
    position: relative;
    box-sizing: border-box;  
}

[data-max-width-content]{
    max-width: 1200px;
    width: 100%;
    margin: 0px;
    padding: 1rem;
}


[data-section]{
    margin: 0;
    padding: 0px;
    width: 100%;
    position: relative;
    display: flex;
    align-items: start;
    justify-content: center;
}

[data-section]:empty{
    padding: 10px;
}



[data-name="Grid"]{
    display: grid;
    grid-template-columns: repeat(1, 1fr);
    gap: 20px;
}

@media only screen and (min-width: 768px) {
    [data-name="Grid"]{
        grid-template-columns: repeat(4, 1fr);
    }
}


[data-name='Box']{
    display: flex;
    flex-direction: column;
    column-gap: 1rem;
    column-gap: 1rem;
    position: relative;
    box-sizing: border-box;
}

/*styling the limiting container inside container*/
[data-name='Content'],
[data-name='Stack']{
    display: flex;
    margin: 0px;
    padding: 1rem;
    column-gap: 1rem;
    max-width: 1200px;
    width: 100%;
    row-gap: 1rem;
    flex-direction: column;
    position: relative;
    box-sizing: border-box;
}


[data-name="List"]{
    display: grid;
    padding: 20px;
    box-shadow: rgba(60, 64, 67, 0.3) 0px 1px 2px 0px, rgba(60, 64, 67, 0.15) 0px 1px 3px 1px;
    border-radius: 5px;
    list-style: none;
}
[data-name="List"]>[data-name="Item"]{
    border-bottom: 1px solid #ddd;
    padding: 10px 0px;
}

[data-h-card-thumb]{
    width: 100%;
    object-fit: cover;
    height: auto;
}






@media only screen and (min-width: 768px) {
    [data-name='Content'],
    [data-name='Stack']{
        flex-direction: row;
    }

    [data-name="Horizontal Card"]{
        align-items: center;
    }
}



/*styling general button*/
[data-button-reset]{
    background-color: transparent;
    cursor: pointer;
    border: none;
}
[data-button]{
  padding: 10px 30px;
  display: inline-flex;
  color: #333;
  box-shadow: rgba(0, 0, 0, 0.16) 0px 3px 6px, rgba(0, 0, 0, 0.23) 0px 3px 6px;
  border-radius: 100px;
  cursor: pointer;
  border: none;
  position: relative;
  font-size: 16px;
  text-decoration: none;
  width: fit-content;
}
[data-button]:hover{
  background: #efef;
}

[data-link]{
    color: #333;
    text-decoration: underline;
    transition: all 200ms linear;
    background: transparent;
    cursor: pointer;
    border:none;
}
[data-link]:hover{
    color: #000;
    text-decoration: none;
}

[data-name="Image"],
[data-name="Video"]{
    width: 100%;
    margin: 0;
    padding: 0;
    min-width: 0;
    height: auto;
    object-fit: cover;
}


[data-name="Overlay"]{
    position: absolute;
    left: 0;
    top: 0;
    margin: 0;
    padding: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5);
    display: flex;
    flex-direction: column;
}


[data-name="Icon"]{
    height: 30px;
    width: 30px;
}
[data-name="Icon"]>svg{
    fill: inherit;
    width: inherit;
    height: inherit;
}

